CreateSNSPluginEndpoint
CreateSNSPluginEndpoint
POST
/zstack/v1/sns/application-endpoints/pluginOperation ID
CreateSNSPluginEndpointSince
5.3.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramsObjectRequiredRequest body parameter object.
typeStringRequiredThe driver type used to look up a loaded driver. This field cannot be empty, and the associated platform cannot be omitted.
timeoutInSecondslongRequiredThe sending timeout, in seconds.
propertiesMapOptional. The plugin notification endpoint configuration.
nameStringRequiredThe resource name.
descriptionStringOptional. The detailed description of the resource.
platformUuidStringOptional. The UUID of the associated platform. If omitted, the system platform is used, but type must still be specified.
resourceUuidStringOptional. The resource UUID.
tagUuidsListOptional. The tag UUID list.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
